AVD

List

get

Retrieve a list of all the published AVD desktops. This is an Experimental feature which is subject to slight changes.

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve all the published AVD desktops (optional)

NamestringOptional

Filter the result by name (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

Published AVD Desktop (Experimental)

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

userFilterEnabledbooleanOptional

Whether User Filtering is enabled or not (deprecated).

clientFilterEnabledbooleanOptional

Whether Client Filtering is enabled or not (deprecated).

allowedClientsstring[] · nullableOptional

Lists the allowed clients (deprecated).

ipFilterEnabledbooleanOptional

Whether IP Filtering is enabled or not (deprecated).

macFilterEnabledbooleanOptional

Whether MAC address Filtering is enabled or not (deprecated).

allowedMACsstring[] · nullableOptional

Lists the allowed MAC addresses (deprecated).

gatewayFilterEnabledbooleanOptionalDeprecated

Whether Gateway Filtering is enabled or not (deprecated).

allowedGatewaysstring[] · nullableOptional

Lists the allowed Gateways (deprecated).

osFilterEnabledbooleanOptional

Whether OS Filtering is enabled or not (deprecated).

preferredRoutingEnabledbooleanOptional

Whether Preferred Routing is enabled or not.

startOnLogonbooleanOptional

Whether the 'Start automatically when user logs on' option is enabled or disabled.

excludePrelaunchbooleanOptional

Exclude application from prelaunch.

inheritShortcutDefaultSettingsbooleanOptional

Whether to inherit default shortcut settings or not.

createShortcutOnDesktopbooleanOptional

Whether to create a shortcut on the desktop or not.

createShortcutInStartFolderbooleanOptional

Whether to create a shortcut in the start folder or not.

startPathstring · nullableOptional

Starting path of the published item.

createShortcutInStartUpFolderbooleanOptional

Whether to create a shortcut in the startup folder or not.

replicateShortcutSettingsbooleanOptional

Whether to replicate shortcut settings or not.

desktopSizestring · enumOptional

Desktop size options for published desktops.

Possible values:
widthinteger · int32Optional

Desktop width.

heightinteger · int32Optional

Desktop height.

allowMultiMonitorstring · enumOptional

Multi-monitor options for published desktops.

Possible values:
avdHostPoolIDinteger · int32Optional

The AVD Host Pool ID.

get
/api/PubItems/Desktops/AVD

Create

post

Add a published AVD desktop to a site. This is an Experimental feature which is subject to slight changes.

Body

Create a new published desktop from a AVD Desktop

parentIdinteger · int32 · nullableOptional

Parent publishing folder ID.

previousIdinteger · int32 · nullableOptional

Previous published ID.

replicateMaintenanceboolean · nullableOptional

Whether the option 'Replicate Maintenance' is enabled or not.

inheritMaintenanceboolean · nullableOptional

Whether to inherit default Maintenance settings.

enabledboolean · nullableOptionalDeprecated

Enable or disable a published resource.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
maintenanceMessage_en_USstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in English.

maintenanceMessage_ja_JPstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Japanese.

maintenanceMessage_fr_FRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in French.

maintenanceMessage_es_ESstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Spanish.

maintenanceMessage_it_ITstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Italian.

maintenanceMessage_pt_BRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Portuguese.

maintenanceMessage_de_DEstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in German.

maintenanceMessage_nl_NLstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Dutch.

maintenanceMessage_zh_TWstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Traditional).

maintenanceMessage_zh_CNstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Simplified).

maintenanceMessage_ko_KRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Korean.

descriptionstring · nullableOptional

Published resource description.

publishToSiteIdsinteger · int32[] · nullableOptional

An array of Sites IDs to which to publish a resource.

siteIdinteger · int32Optional

Site ID in which to publish the specified Item. If the parameter is omitted, the site ID of the Licensing Server will be used.

ipFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable IP filters.

clientFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable client filters.

macFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable mac filters.

userFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable user filters.

gatewayFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable Secure Gateway filters.

startOnLogonbooleanOptional

Enable or disable the 'Start automatically when user logs on' option.

Default: false
widthinteger · int32Optional

Specifies a custom desktop width.

heightinteger · int32Optional

Specifies a custom desktop height.

desktopSizestring · enumOptional

Desktop size options for published desktops.

Possible values:
allowMultiMonitorstring · enumOptional

Multi-monitor options for published desktops.

Possible values:
namestring · nullableRequired

Published desktop name.

avdHostPoolIDinteger · int32Required

The AVD Host Pool ID.

Responses
post
/api/PubItems/Desktops/AVD

Get

get

Retrieve information about a specified published AVD desktop. This is an Experimental feature which is subject to slight changes.

Path parameters
idinteger · int32Required

ID of the published AVD desktop to be retrieved

Responses
chevron-right
200

Success

application/json; api-version=1.0

Published AVD Desktop (Experimental)

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

userFilterEnabledbooleanOptional

Whether User Filtering is enabled or not (deprecated).

clientFilterEnabledbooleanOptional

Whether Client Filtering is enabled or not (deprecated).

allowedClientsstring[] · nullableOptional

Lists the allowed clients (deprecated).

ipFilterEnabledbooleanOptional

Whether IP Filtering is enabled or not (deprecated).

macFilterEnabledbooleanOptional

Whether MAC address Filtering is enabled or not (deprecated).

allowedMACsstring[] · nullableOptional

Lists the allowed MAC addresses (deprecated).

gatewayFilterEnabledbooleanOptionalDeprecated

Whether Gateway Filtering is enabled or not (deprecated).

allowedGatewaysstring[] · nullableOptional

Lists the allowed Gateways (deprecated).

osFilterEnabledbooleanOptional

Whether OS Filtering is enabled or not (deprecated).

preferredRoutingEnabledbooleanOptional

Whether Preferred Routing is enabled or not.

startOnLogonbooleanOptional

Whether the 'Start automatically when user logs on' option is enabled or disabled.

excludePrelaunchbooleanOptional

Exclude application from prelaunch.

inheritShortcutDefaultSettingsbooleanOptional

Whether to inherit default shortcut settings or not.

createShortcutOnDesktopbooleanOptional

Whether to create a shortcut on the desktop or not.

createShortcutInStartFolderbooleanOptional

Whether to create a shortcut in the start folder or not.

startPathstring · nullableOptional

Starting path of the published item.

createShortcutInStartUpFolderbooleanOptional

Whether to create a shortcut in the startup folder or not.

replicateShortcutSettingsbooleanOptional

Whether to replicate shortcut settings or not.

desktopSizestring · enumOptional

Desktop size options for published desktops.

Possible values:
widthinteger · int32Optional

Desktop width.

heightinteger · int32Optional

Desktop height.

allowMultiMonitorstring · enumOptional

Multi-monitor options for published desktops.

Possible values:
avdHostPoolIDinteger · int32Optional

The AVD Host Pool ID.

get
/api/PubItems/{id}/Desktops/AVD

Update

put

Modify properties of a specified published desktop. This is an Experimental feature which is subject to slight changes.

Path parameters
idinteger · int32Required

ID of the published AVD desktop to be updated

Body

Update settings of a desktop published from a AVD Desktop

namestring · min: 1 · max: 255 · nullableOptional

A new name to assign to the published resource.

replicateMaintenanceboolean · nullableOptional

Replicate Maintenance

inheritMaintenanceboolean · nullableOptional

Inherit Maintenance

enabledboolean · nullableOptionalDeprecated

Enable or disable a published resource.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
maintenanceMessage_en_USstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in English.

maintenanceMessage_ja_JPstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Japanese.

maintenanceMessage_fr_FRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in French.

maintenanceMessage_es_ESstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Spanish.

maintenanceMessage_it_ITstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Italian.

maintenanceMessage_pt_BRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Portuguese.

maintenanceMessage_nl_NLstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Dutch.

maintenanceMessage_de_DEstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in German.

maintenanceMessage_zh_TWstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Traditional).

maintenanceMessage_zh_CNstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Simplified).

maintenanceMessage_ko_KRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Korean.

descriptionstring · nullableOptional

Published resource description.

publishToSiteIdsinteger · int32[] · nullableOptional

An array of sites to which to publish a resource.

ipFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable IP filters.

clientFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable client filters.

macFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable mac filters.

userFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable user filters.

gatewayFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable Secure Gateway filters.

osFilterEnabledboolean · nullableOptionalDeprecated

Enable or disable the OS filter.

allowClientChromeboolean · nullableOptionalDeprecated

Allow or not Chrome OS Clients.

allowClientAndroidboolean · nullableOptionalDeprecated

Allow or not Android Clients.

allowClientWebboolean · nullableOptionalDeprecated

Allow or not Web Clients.

allowClientIOSboolean · nullableOptionalDeprecated

Allow or not IOS Clients.

allowClientLinuxboolean · nullableOptionalDeprecated

Allow or not Linux Clients.

allowClientMACboolean · nullableOptionalDeprecated

Allow or not MAC Clients.

allowClientWindowsboolean · nullableOptionalDeprecated

Allow or not Windows Clients.

allowClientWyseboolean · nullableOptionalDeprecated

Allow or not Wyse Clients.

preferredRoutingEnabledboolean · nullableOptional

Enable or disable Preferred Routing.

replicateShortcutSettingsboolean · nullableOptional

Replicate shortcut settings to all sites.

createShortcutOnDesktopboolean · nullableOptional

Create a shortcut on a client's desktop.

createShortcutInStartFolderboolean · nullableOptional

Create a shortcut in the client's Start folder.

createShortcutInStartUpFolderboolean · nullableOptional

Create a shortcut in the client's Auto Start folder.

startPathstring · min: 1 · max: 255 · nullableOptional

Specifies the path in the Start folder where the shortcut will be created.

inheritShortcutDefaultSettingsboolean · nullableOptional

Inherit default shortcut settings.

startOnLogonboolean · nullableOptional

Start a resource automatically when a user logs on.

excludePrelaunchboolean · nullableOptional

Exclude application from prelaunch.

widthinteger · int32 · nullableOptional

Desktop width.

heightinteger · int32 · nullableOptional

Desktop height.

desktopSizestring · enumOptional

Desktop size options for published desktops.

Possible values:
allowMultiMonitorstring · enumOptional

Multi-monitor options for published desktops.

Possible values:
avdHostPoolIDinteger · int32 · nullableRequired

The AVD Host Pool ID.

Responses
put
/api/PubItems/{id}/Desktops/AVD

No content

Delete

delete

Delete a published AVD desktop. This is an Experimental feature which is subject to slight changes.

Path parameters
idinteger · int32Required

ID of the published AVD desktop to be deleted

Responses
delete
/api/PubItems/{id}/Desktops/AVD

No content